Berkeley DB version 5.1.19

## com.sleepycat.db
Class ReplicationTimeoutType

    java.lang.Object
      com.sleepycat.db.ReplicationTimeoutType

    public final class ReplicationTimeoutType

extends Object

The ReplicationTimeoutType defines the types of timeouts that can beconfigured for the Berkeley Db replication functionality.

The class is used in the `Environment.setReplicationTimeout` method.

Field Summary
`static ReplicationTimeoutType` `ACK_TIMEOUT` Configure the amount of time the replication manager's transport function waits to collect enough acknowledgments from replication group clients, before giving up and returning a failure indication.
`static ReplicationTimeoutType` `CHECKPOINT_DELAY` Configure the amount of time the replication manager will delay between completing a checkpoint and writing a checkpoint record into the log.
`static ReplicationTimeoutType` `CONNECTION_RETRY` Configure the amount of time the replication manager will wait before trying to re-establish a connection to another site after a communication failure.
`static ReplicationTimeoutType` `ELECTION_RETRY` Configure the amount of time the replication manager will wait before retrying a failed election.
`static ReplicationTimeoutType` `ELECTION_TIMEOUT` The timeout period for an election.
`static ReplicationTimeoutType` `FULL_ELECTION_TIMEOUT` An optional configuration timeout period to wait for full election participation the first time the replication group finds a master.
`static ReplicationTimeoutType` `HEARTBEAT_MONITOR` The amount of time the replication manager, running at a client site, waits for some message activity on the connection from the master (heartbeats or other messages) before concluding that the connection has been lost.
`static ReplicationTimeoutType` `HEARTBEAT_SEND` The frequency at which the replication manager, running at a master site, broadcasts a heartbeat message in an otherwise idle system.
`static ReplicationTimeoutType` `LEASE_TIMEOUT` Configure the amount of time a client grants its master lease to a master.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACK_TIMEOUT

    public static final ReplicationTimeoutType ACK_TIMEOUT

  Configure the amount of time the replication manager's transport function waits to collect enough acknowledgments from replication group clients, before giving up and returning a failure indication.

### CHECKPOINT_DELAY

    public static final ReplicationTimeoutType CHECKPOINT_DELAY

  Configure the amount of time the replication manager will delay between completing a checkpoint and writing a checkpoint record into the log. This delay allows clients to complete their own checkpoints before the master requires completion of them. The default is 30 seconds.

### CONNECTION_RETRY

    public static final ReplicationTimeoutType CONNECTION_RETRY

  Configure the amount of time the replication manager will wait before trying to re-establish a connection to another site after a communication failure.

### ELECTION_TIMEOUT

    public static final ReplicationTimeoutType ELECTION_TIMEOUT

  The timeout period for an election.

### ELECTION_RETRY

    public static final ReplicationTimeoutType ELECTION_RETRY

  Configure the amount of time the replication manager will wait before retrying a failed election.

### HEARTBEAT_MONITOR

    public static final ReplicationTimeoutType HEARTBEAT_MONITOR

  The amount of time the replication manager, running at a client site, waits for some message activity on the connection from the master (heartbeats or other messages) before concluding that the connection has been lost. When 0 (the default), no monitoring is performed.

### HEARTBEAT_SEND

    public static final ReplicationTimeoutType HEARTBEAT_SEND

  The frequency at which the replication manager, running at a master site, broadcasts a heartbeat message in an otherwise idle system. When 0 (the default), no heartbeat messages will be sent.

### FULL_ELECTION_TIMEOUT

    public static final ReplicationTimeoutType FULL_ELECTION_TIMEOUT

  An optional configuration timeout period to wait for full election participation the first time the replication group finds a master. By default this option is turned off and normal election timeouts are used. (See the Elections section in the Berkeley DB Reference Guide for more information.)

### LEASE_TIMEOUT

    public static final ReplicationTimeoutType LEASE_TIMEOUT

  Configure the amount of time a client grants its master lease to a master. When using master leases all sites in a replication group must use the same lease timeout value. There is no default value. If leases are desired, this timeout must be configured prior to calling `Environment.startReplication`.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.1.19

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.